FreeBSD : Ruby -- OpenSSL Hostname Verification Vulnerability (d4379f59-3e9b-49eb-933b-61de4d0b0fdb)

This script is Copyright (C) 2015-2016 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Ruby Developers report :

After reviewing RFC 6125 and RFC 5280, we found multiple violations of
matching hostnames and particularly wildcard certificates.

Ruby's OpenSSL extension will now provide a string-based matching
algorithm which follows more strict behavior, as recommended by these
RFCs. In particular, matching of more than one wildcard per
subject/SAN is no-longer allowed. As well, comparison of these values
are now case-insensitive.

See also :

http://www.nessus.org/u?291d9038
http://www.nessus.org/u?5dc06c0d

Solution :

Update the affected packages.

Risk factor :

High

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 82753 ()

Bugtraq ID:

CVE ID: CVE-2015-1855

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now